@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Display:ital@0;1&family=Noto+Serif:ital,wght@0,100..900;1,100..900&family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
  background-color: #FFFCF2;
  overflow-x: hidden;
}

#grid {
	display: grid;
  height: calc(var(--vh, 1vh) * 100);
	grid-template-rows: 20% 20% 30% 20% 10%;
	grid-template-columns: 95vw 2vw 3vw;
	gap: 0;
	justify-items: center;
	align-items: center;
	justify-content: center;
	align-content: center;
	width: 100vw;
  text-align: center;
}

#background {
  position: fixed;
  top: -95px;
  left: -95px;
  background-image: url("./src/star.svg");
  width: 400px;
  height: 400px;
  background-size: cover;
  background-repeat: no-repeat;
  animation: spin 10s infinite linear;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

#div1 {
	grid-area: 2/1/3/2;
  max-width: 70%;
}

#div1 img {
  width: 40px;
  filter: invert(20%) sepia(6%) saturate(632%) hue-rotate(355deg) brightness(92%) contrast(84%);
}

h1 {
  font-size: 3.5em;
  color: #403D39;
  font-family: 'DM Serif Display', serif;
  font-weight: 500;
  line-height: 1em;
}

#div1 h2 {
  text-align: center;
  font-style: normal;
}

#div2 {
	grid-area: 3/1/4/2;
  text-align: center;
  max-width: 90%;
}

#div3 img {
  width: 250px;
  height: auto;
  max-width: 90%;
}

h2 {
  font-size: 1.4em;
  color: #403D39;
  font-family: 'Noto Serif', serif;
  font-weight: 500;
  font-style: italic;
  margin-bottom: 0.2em;
}

h3 {
  font-size: 1.2em;
  color: #403D39;
  font-family: 'Noto Serif', serif;
  font-weight: 400;
}

h3 a {
 text-decoration: none;
 font-weight: 700;
}

.button {
  padding: 8px;
  margin-top: 8px;
  border: none;
  border-radius: 5px;
  background-color: #403D39;
  color: #FFFCF2;
  font-family: 'JetBrains Mono', sans-serif;
  font-weight: 700;
  font-size: 1em;
  text-transform: uppercase;
  text-decoration: none;
  cursor: pointer;
  transition: 0.5s;
}

.button:hover {
  background-color: #EB5E28;
  color: #403D39;
}

#div3 {
	grid-area: 4/1/5/2;
}

#div4 {
	grid-area: 5/1/6/2;
}

h4 {
  font-size: 1em;
  color: #403D39;
  font-family: 'JetBrains Mono', sans-serif;
  font-weight: 400;
  text-align: center;
}

h4 a {
  text-decoration: none;
}

#div4 .button {
  background-color: #CCC5B9;
  color: #403D39;
  transition: 0.5s;
}

#div4 .button:hover {
  background-color: #403D39;
  color: #EB5E28;
}

#div5 {
	grid-area: 1/2/6/3;
  background-color: #EB5E28;
  height: 100%;
  width: 100%;
}

#div6 {
	grid-area: 1/3/6/4;
	background-color: #403D39;
  height: 100%;
  width: 100%;
}

@media (max-width: 1100px) {
  #background {
    height: 300px;
    width: 300px;
  }

  h1 {
    font-size: 2.5em;
  }

  h2 {
    font-size: 1.2em;
  }

  h3 {
    font-size: 1.1em;
  }
}

@media (max-width: 600px) {
  #background {
    height: 250px;
    width: 250px;
  }
}